Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.publication.maven
[Groovy] Interface MavenPublication

    interface MavenPublication

Method Summary
`String` | `getArtifactId()`
`List` | `getDependencies()`
`String` | `getDescription()`
`String` | `getGroupId()`
`MavenArtifact` | `getMainArtifact()`
`String` | `getModelVersion()`
`String` | `getPackaging()`
`MavenPomCustomizer` | `getPom()`
`MavenArtifactRepository` | `getRepository()`
`List` | `getSubArtifacts()`
`String` | `getVersion()`

Method Detail

### getArtifactId

    String getArtifactId()

### getDependencies

    List getDependencies()

### getDescription

    String getDescription()

### getGroupId

    String getGroupId()

### getMainArtifact

    MavenArtifact getMainArtifact()

### getModelVersion

    String getModelVersion()

### getPackaging

    String getPackaging()

### getPom

    MavenPomCustomizer getPom()

### getRepository

    MavenArtifactRepository getRepository()

### getSubArtifacts

    List getSubArtifacts()

### getVersion

    String getVersion()

Gradle API 1.1-rc-1